Adding nodes to polyline

Can this be achieved in Bricscad please?
I'm editing a subdivision layout and have a series of lots (closed polylines) that need tweaking and adding extra nodes is needed to achieve the outcome.

I can't find anything on this.
Thanks

Comments

  • PE?
    Edit vertices / Insert
    Downside, if it's a splined polyline, adding vertices will mess up it's geometry.

  • Hi Richard,

    Use _PEDIT. Once you have selected the polyline, use _EDIT option. This allows you to _INSERT new vertices, _STRAIGHTEN to remove etc.

    Alternatively you can create a new polyline that picks up the new section of boundary. Then use _TRIM/_EXTEND to clean up to the existing polyline. Having done this you can use _PEDIT, then the _JOIN option to join back together.

    Regards,

    Jason Bourhill

    CAD Concepts
  • Many thanks for quick responses. Amazing.
    Nomenclature is a pain!
    I come more from a graphics & GIS background hence nodes are what I grew up on.

    Jason I had thought of creating new and trimming and joining but that seemed too longwinded.

    regards
    Richard
  • Hi Richard.

    Inside of the V14 I think there is no need to use the Pedit command. Better is to use the 2D-Quad to edit Polylines. Just move your mouse on a polyline and select the option 2D editing and add vertex.

    It is also possible to add arcs or remove vertexes.

    From my point of view, one of the greatest commands in V14.

    Enjoy

    Mustafa Kocatürk


  • Do you have the lot data in .CSV format (Xcoord, Ycoord, Zcoord)? If so you can use the following bit of LISP to redraw the boundaries for you.

    [code]; 2DPOLYIN
    ; Test function using some of the new VLE functions in LISP
    ; Note turn osnaps off (setvar "OSMODE" 0) before you run

    (defun C:2DPolyIn( / mycsvfile 2dpl-list)
        (setq mycsvfile (getfiled "Select CSV file to import" "" "csv" 8)) ; prompt user to select file
        (if mycsvfile
                (progn
                    (setq 2dpl-list (VLE-FILE->LIST mycsvfile nil)) ; create a list from a csv file containing a collection of 3d points
                    (command "._PLINE") ; run the poly command
                    (while 2dpl-list ; while we have points in our list
                        (command (VLE-NTH0 2dpl-list)) ; return the 1st point on our list
                        (setq 2dpl-list (cdr 2dpl-list)) ; then iterate our list on to the remaining points
                    ) ; end While
                    (command "") ; finish the PLINE command
                )
                (princ "\nNo file selected")
        ); end if
    (princ); make quiet exit
    ) ; end 2DPolyIn
    [/code]

    Note the first Zcoord (if given) sets the elevation for the remaining vertices.

    Regards,

    Jason Bourhill

    CAD Concepts

  • Jason many thanks for the LISP.
    Yes I can easily generate xyz files of points (nodes, vertices).
    That LISP will be extremely useful thanks. I will try it out.

    Mustafa - I have 14 but due to some 'issues' I have uninstalled it.
    14 & I had an argument over some of the other applications I 'must have' to make my BricsCad experience worthwhile.
    Sounds like I'd better get that side sorted.
    (Just need to twist someones arm perhaps - is he listening? A Christmas Pressie?? please!)

    Again, much appreciated.
    Richard

  • Hi Richard,

    Since you use both GeoTools as well as CADPower, I thought I will let you know the existence of these commands:

    There are three tools for automatic vertex insertion, one in GeTools and two in CADPower, each doing it in different ways, for different  purposes and tasks.

    GeoToolsimagePolyline Tools image Process imagePolyline 'Insert Vertex' Tool
    http://www.4d-technologies.com/geotools/manual/polyline_tools.htm#POLYINSVX

    CADPower image Polyline Tools image Vertex Management imageInsert polyline vertex
    http://www.4d-technologies.com/cadpower/manual/polyline_tools.htm#INSVX

    CADPowerimagePolyline Tools image Others imageAcquire Neighboring polyline elevations
    http://www.4d-technologies.com/cadpower/manual/polyline_tools.htm#POLYGETZ

    Hope this helps.

    Best Regards
    Rakesh Rao
    http://rakeshrao.typepad.com

  • Another way to edit polylines is by using the Break, Chamfer (with chamfer distance = zero), and Fillet commands. If one (or both) of the entities to be chamfered or filleted is a polyline, the command joins them (and the fillet) into a single polyline.
  • Thanks Rakesh, I did look at what I had but being on 13 I only have the old GeoTools. As mentioned above 14 caused some issues with the way I do things and so uninstalled and stayed with 13 for now to keep my workflow going. (I trialled all on laptop before interfering with my work processes on PC)
    I had looked in the GeoTools polylines routines but may have missed something.

    Anthony - That's interesting and very neat. I was not aware of that. Thanks.
  • Not sure how that last sentence turned out BLUE! Not intended. Was it my copy and paste Anthony?
    Anyway - not intending to single anything out.
    Pity we can't edit these posts!
  • @ Mustafa Kocatürk - Agree 100%, thanks again
    Re 14. Now using 14 and that routine is a big step up and is a very useful addition.
    "
    2D-Quad to edit Polylines."
    Richard
  •  @Anthony (post #9)
    Please have a look at the reworked JOIN command, which now joins lines, LW polylines, 2D polylines, 3D polylines, circular arcs, elliptical arcs, splines and helixes at their common endpoints. Depending on the source entities the result is a 2D polyline, 3D polyline or a spline.

This discussion has been closed.